Package com.xebialabs.xlrelease.events

## Class GlobalVariableUpdateOperation

- java.lang.Object
- - com.xebialabs.xlrelease.events.GlobalVariableUpdateOperation

- All Implemented Interfaces:
    `VariableUpdateOperation`, `XLReleaseOperation`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class GlobalVariableUpdateOperation
      extends java.lang.Object
      implements VariableUpdateOperation, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalVariableUpdateOperation​(Variable original, Variable updated, java.lang.String taskId)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `scala.runtime.Null$` | `action()` |
    `static GlobalVariableUpdateOperation` | `apply​(Variable original, Variable updated, java.lang.String taskId)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `GlobalVariableUpdateOperation` | `copy​(Variable original, Variable updated, java.lang.String taskId)` |
    `Variable` | `copy$default$1()` |
    `Variable` | `copy$default$2()` |
    `java.lang.String` | `copy$default$3()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `GlobalVariableUpdatedEvent` | `event()` |
    `int` | `hashCode()` |
    `Variable` | `original()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `taskId()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple3<Variable,​Variable,​java.lang.String>>` | `unapply​(GlobalVariableUpdateOperation x$0)` |
    `Variable` | `updated()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### GlobalVariableUpdateOperation

          public GlobalVariableUpdateOperation​(Variable original,
                                               Variable updated,
                                               java.lang.String taskId)

  - ### Method Detail

    - #### apply

          public static GlobalVariableUpdateOperation apply​(Variable original,
                                                            Variable updated,
                                                            java.lang.String taskId)

    - #### unapply

          public static scala.Option<scala.Tuple3<Variable,​Variable,​java.lang.String>> unapply​(GlobalVariableUpdateOperation x$0)

    - #### original

          public Variable original()

    - #### updated

          public Variable updated()

    - #### taskId

          public java.lang.String taskId()

    - #### action

          public scala.runtime.Null$ action()

      Specified by:
        `action` in interface `XLReleaseOperation`

    - #### event

          public GlobalVariableUpdatedEvent event()

      Specified by:
        `event` in interface `XLReleaseOperation`

    - #### copy

          public GlobalVariableUpdateOperation copy​(Variable original,
                                                    Variable updated,
                                                    java.lang.String taskId)

    - #### copy$default$1

          public Variable copy$default$1()

    - #### copy$default$2

          public Variable copy$default$2()

    - #### copy$default$3

          public java.lang.String copy$default$3()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`